From 92fe125ee1b9f36bd69308c173e9d6147a5fc1e1 Mon Sep 17 00:00:00 2001
From: Matt Turner <mattst88@gmail.com>
Date: Thu, 10 Dec 2020 23:19:55 -0500
Subject: [PATCH] meson: build test-vala-unstable with -DSECRET_WITH_UNSTABLE

Fixes: https://gitlab.gnome.org/GNOME/libsecret/-/issues/54
---
 libsecret/meson.build | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/libsecret/meson.build b/libsecret/meson.build
index f57e363..55e9d95 100644
--- a/libsecret/meson.build
+++ b/libsecret/meson.build
@@ -310,12 +310,12 @@ if get_option('introspection')
     add_languages('vala')
     valac = meson.get_compiler('vala')
 
-    valatest_names = [
-      'test-vala-lang',
-      'test-vala-unstable',
-    ]
+    valatests = {
+      'test-vala-lang': [],
+      'test-vala-unstable': ['-DSECRET_WITH_UNSTABLE'],
+    }
 
-    foreach _valatest : valatest_names
+    foreach _valatest, extra_cflags : valatests
       test_bin = executable(_valatest,
         '@0@.vala'.format(_valatest),
         dependencies: [
@@ -327,7 +327,7 @@ if get_option('introspection')
         ],
         link_with: mock_service_lib,
         include_directories: config_h_dir,
-        c_args: test_cflags,
+        c_args: test_cflags + extra_cflags,
       )
 
       test(_valatest, test_bin,
-- 
2.26.2

